Namespace: webdriver.http
View Source

# class Executor

All implemented interfaces:
  `webdriver.CommandExecutor`

A command executor that communicates with a server using the WebDriver command protocol.

## new Executor(client)

Parameters

client`webdriver.http.Client`

  The client to use when sending requests to the server.

## Instance Methods

### defineCommand(name, method, path)code »

Defines a new command for use with this executor. When a command is sent, the `path` will be preprocessed using the command's parameters; any path segments prefixed with ":" will be replaced by the parameter of the same name. For example, given "/person/:name" and the parameters "{name: 'Bob'}", the final command path will be "/person/Bob".

Parameters

name`string`

  The command name.

method`string`

  The HTTP method to use when sending this command.

path`string`

  The path to send the command to, relative to the WebDriver server's command root and of the form "/path/:variable/segment".

### execute(command, callback)code »

Specified by: webdriver.CommandExecutor

Parameters

command`webdriver.Command`
callback`function(Error, {status: number, value: *}=): ?`